summaryrefslogtreecommitdiff
path: root/hack/make/.integration-daemon-stop
diff options
context:
space:
mode:
authorTibor Vass <tibor@docker.com>2019-08-05 23:55:30 +0000
committerAndrew Hsu <andrewhsu@docker.com>2019-08-12 20:41:03 +0000
commit13df617d4cc98fe31f3ded78902119a1c1505005 (patch)
treea0b14426ac6818850102655d48b3207638e9cc96 /hack/make/.integration-daemon-stop
parent251c8dca2832e109f61a589e85d80436b6f53a9c (diff)
downloaddocker-13df617d4cc98fe31f3ded78902119a1c1505005.tar.gz
hack: unmount leftover daemon root folders
Signed-off-by: Tibor Vass <tibor@docker.com>
Diffstat (limited to 'hack/make/.integration-daemon-stop')
-rw-r--r--hack/make/.integration-daemon-stop2
1 files changed, 2 insertions, 0 deletions
diff --git a/hack/make/.integration-daemon-stop b/hack/make/.integration-daemon-stop
index c1d43e1a5e..63f7f361b4 100644
--- a/hack/make/.integration-daemon-stop
+++ b/hack/make/.integration-daemon-stop
@@ -10,6 +10,8 @@ if [ ! "$(go env GOOS)" = 'windows' ]; then
if ! wait "$pid"; then
echo >&2 "warning: PID $pid from $pidFile had a nonzero exit code"
fi
+ root=$(dirname "$pidFile")/root
+ umount "$root" || true
done
if [ -z "$DOCKER_TEST_HOST" ]; then